version: '3'

# Usage example: https://github.com/stilliard/docker-pure-ftpd/wiki/Docker-stack-with-Wordpress-&-FTP

services:
  ftpd_server:
    image: stilliard/pure-ftpd
    container_name: pureftpd
    ports:
      - "21:21"
      - "30000-30009:30000-30009"
    volumes:
      - "/home/icke/pureftp/data:/home/scan/"
      - "/home/icke/pureftp/passwd:/etc/pure-ftpd/passwd"
    environment:
      PUBLICHOST: "localhost"
      FTP_USER_NAME: scan
      FTP_USER_PASS: scan
      FTP_USER_HOME: /home/scan
# also for ssl/tls:
#      ADDED_FLAGS: "--tls=2"
    restart: unless-stopped
